%{?nodejs_find_provides_and_requires}

Name:       nodejs-promisify-node
Version:    0.3.0
Release:    1%{?dist}
Summary:    Node library to wrap Node-callback functions to return Promises
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/nodegit/promisify-node
Source0:    http://registry.npmjs.org/promisify-node/-/promisify-node-%{version}.tgz

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  mocha
BuildRequires:  npm(nodegit-promise)

%description
Wraps Node modules, functions, and methods written in the Node-callback style
to return Promises.

%prep
%autosetup -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/promisify-node
cp -pr package.json utils index.js %{buildroot}%{nodejs_sitelib}/promisify-node
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
/usr/bin/mocha

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/promisify-node

%changelog
* Fri Aug 25 2017 Olivier Lemasle <o.lemasle@gmail.com> - 0.3.0-1
- Initial packaging
